MAJOR=3
MINOR=4
TEENY=4
ruby_version=3.4.0
RUBY_API_VERSION=${MAJOR}.${MINOR}
RUBY_PROGRAM_VERSION=${MAJOR}.${MINOR}.${TEENY}
arch=x86_64-darwin21
sitearch=${arch}

RUBY_BASE_NAME=ruby
RUBY_VERSION_NAME=${RUBY_BASE_NAME}-${ruby_version}
RUBY_SO_NAME=${RUBY_BASE_NAME}.${RUBY_API_VERSION}
RUBY_INSTALL_NAME=${RUBY_BASE_NAME}3.4
prefix=/opt/local
exec_prefix=${prefix}
bindir=${exec_prefix}/bin
libdir=${exec_prefix}/lib
includedir=${prefix}/include
archlibdir=${libdir}/${arch}
sitearchlibdir=${libdir}/${sitearch}
archincludedir=${includedir}/${arch}
sitearchincludedir=${includedir}/${sitearch}
ruby=${bindir}/${RUBY_INSTALL_NAME}
rubylibprefix=${exec_prefix}/lib/ruby3.4
rubyarchprefix=${rubylibprefix}/${arch}
rubysitearchprefix=${rubylibprefix}/${sitearch}
rubylibdir=${rubylibprefix}/${ruby_version}
vendordir=${rubylibprefix}/vendor_ruby
sitedir=${rubylibprefix}/site_ruby
vendorlibdir=${vendordir}/${ruby_version}
sitelibdir=${sitedir}/${ruby_version}
rubyarchdir=${rubylibdir}/${arch}
vendorarchdir=${vendorlibdir}/${sitearch}
sitearchdir=${sitelibdir}/${sitearch}
rubyhdrdir=/opt/local/include/ruby-3.4.4
vendorhdrdir=${rubyhdrdir}/vendor_ruby
sitehdrdir=${rubyhdrdir}/site_ruby
rubyarchhdrdir=${rubyhdrdir}/${arch}
vendorarchhdrdir=${vendorhdrdir}/${sitearch}
sitearchhdrdir=${sitehdrdir}/${sitearch}
MAINLIBS=-ldl -lobjc -lpthread 
SOEXT=dylib
LIBPATH=@LIBPATH@
LIBRUBY_A=lib${RUBY_SO_NAME}-static.a
LIBRUBY_SO=lib${RUBY_SO_NAME}.${SOEXT}
LIBRUBY=${LIBRUBY_SO}
LIBRUBYARG_SHARED=-l${RUBY_SO_NAME}
LIBRUBYARG_STATIC=-l${RUBY_SO_NAME}-static -framework CoreFoundation ${MAINLIBS}
LIBRUBYARG=${LIBRUBYARG_SHARED}
LIBS=-lpthread 
DLDFLAGS=-L/opt/local/libexec/openssl3/lib -L/opt/local/lib -Wl,-headerpad_max_install_names -Wl,-syslibroot,/Library/Developer/CommandLineTools/SDKs/MacOSX12.sdk -arch x86_64 -L/opt/local/lib -Wl,-multiply_defined,suppress -Wl,-undefined,dynamic_lookup

Name: Ruby
Description: Object Oriented Script Language
Version: ${RUBY_PROGRAM_VERSION}
URL: https://www.ruby-lang.org
Cflags: -I${rubyarchhdrdir} -I${rubyhdrdir}
Libs: ${DLDFLAGS} ${LIBRUBYARG_SHARED} ${LIBS}
Requires:
